#ifndef H_2D_RLE
#define H_2D_RLE

#include "typedefs.h"

#define HORZ_REPETITION_FLAG 	0x80
#define VERT_REPETITION_FLAG 	0x40
#define BLOCK_REPETITION_FLAG	(0x40 | 0x80)

#define MAX_SCANLINE_WIDTH	1024

extern void InitDecode(word *act_scanline, word *prev_line, int width);
extern int DecodeByte(byte b);
extern bool RunLengthDecode(byte *data, int count, word *act_scanline, word *prev_scanline, int width);
extern int RunLengthEncode(byte *out_data, word *act_line, word *prev_line, int width);
		 
#endif
